Update report status

Cortex XSIAM Platform APIs

post /public_api/v1/mth/child/report/update/status

Updates the status of an MTH/MDR report.

Validation Rules:

  • If the specified source_id cannot be found, a generic error response is returned.
Request headers
Authorization String required

{api_key}

Example: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP
x-xdr-auth-id String required

{api_key_id}

Example: 241
CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP' -H 'x-xdr-auth-id: 241'
'https://api-yourfqdn/public_api/v1/mth/child/report/update/status'
-d '{ "xsoar_source_id" : "xsoar_source_id", "report_status" : "New" }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"xsoar_source_id\":\"string\",\"report_status\":\"New\"}" headers = { 'Authorization': "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP", 'x-xdr-auth-id': "241", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/mth/child/report/update/status", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/mth/child/report/update/status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["Authorization"] = 'UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP' request["x-xdr-auth-id"] = '241' request["content-type"] = 'application/json' request.body = "{\"xsoar_source_id\":\"string\",\"report_status\":\"New\"}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "xsoar_source_id": "string", "report_status": "New" }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/mth/child/report/update/status"); xhr.setRequestHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP"); xhr.setRequestHeader("x-xdr-auth-id", "241"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/mth/child/report/update/status") .header("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP") .header("x-xdr-auth-id", "241") .header("content-type", "application/json") .body("{\"xsoar_source_id\":\"string\",\"report_status\":\"New\"}") .asString();
import Foundation let headers = [ "Authorization": "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP", "x-xdr-auth-id": "241", "content-type": "application/json" ] let parameters = [ "xsoar_source_id": "string", "report_status": "New" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/mth/child/report/update/status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/mth/child/report/update/status", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"xsoar_source_id\":\"string\",\"report_status\":\"New\"}", CURLOPT_HTTPHEADER => [ "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP", "content-type: application/json", "x-xdr-auth-id: 241" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/mth/child/report/update/status"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP"); headers = curl_slist_append(headers, "x-xdr-auth-id: 241"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"xsoar_source_id\":\"string\",\"report_status\":\"New\"}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/mth/child/report/update/status"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP"); request.AddHeader("x-xdr-auth-id", "241"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"xsoar_source_id\":\"string\",\"report_status\":\"New\"}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json

Update the report status.

xsoar_source_idstringrequired

The unique identifier of the report

report_statusstring (Enum)required

New status for the report. Must include only one of the supported status values.

Allowed values:"New""In Progress""Pending""Resolved""Closed"
REQUEST
{ "xsoar_source_id": "777776", "report_status": "In Progress" }
Responses

Successful Response

Body
application/json
replyobject

MTH/MDR Report object with uppercase field names (returned by update status endpoint)

XSOAR_SOURCE_IDstring

Unique identifier of the report

NAMEstring

Name/title of the report

DESCRIPTIONstring

Detailed description of the report

CREATED_BYstring

Creator of the report

INSERT_TIMEintegerint64

Creation timestamp in milliseconds (epoch)

UPDATE_TIMEintegerint64

Last update timestamp in milliseconds (epoch)

ATTACHMENTSstring

JSON-formatted string containing attachment information

INCIDENT_IDinteger

Associated incident ID

REPORT_TYPEstring

Type of the report

SEVERITYstring

Severity level of the report

COMMENTSstring

Comments on the report

CLASSIFICATIONstring

Classification of the report (MTH or MDR)

ASSIGNED_USERstring

Email of the assigned user

ASSIGNED_USER_PRETTYstring

Display name of the assigned user

REPORT_STATUSstring

Current status of the report

RESPONSE
{ "reply": { "XSOAR_SOURCE_ID": "777776", "NAME": "Royi test 2025-11-18 14:27:18.299620", "DESCRIPTION": "Royi", "CREATED_BY": "Roei", "INSERT_TIME": 1763468832000, "UPDATE_TIME": 1763907713000, "ATTACHMENTS": "{\"update_report/1763468839243-sample.pdf-d0bc29ba-2b46-46b7-94d6-24826da2c82b\": {\"attachment_name\": \"sample.pdf\", \"attachment_size\": 55483}}", "INCIDENT_ID": null, "REPORT_TYPE": "Cyber Hygiene Report", "SEVERITY": "SEV_020_LOW", "COMMENTS": null, "CLASSIFICATION": "MTH", "ASSIGNED_USER": "iavron@paloaltonetworks.com", "ASSIGNED_USER_PRETTY": "iavron iavron", "REPORT_STATUS": "IN_PROGRESS" } }

Bad Request - Invalid parameters or missing required fields

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unauthorized - Invalid or missing API key

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Forbidden - Tenant not authorized for this endpoint

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Internal Server Error

Body
application/json
replyobject
err_codestring

Error code

err_msgstring

Error message

err_extrastring

Extra information about the error

RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }